using System;
class Program
{
    static void Main(string[] args)
    {
        int n = int.Parse(Console.ReadLine());
        Console.WriteLine("1");
        Console.WriteLine("0 0");
        Console.WriteLine("0 1");
        Console.WriteLine("0 2");
    }
}